using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.json.WorkItems;

public class Value
{
    [JsonConstructor]
    public Value(
        int id,
        int rev,
        Fields fields,
        string url
    )
    {
        Id = id;
        Rev = rev;
        Fields = fields;
        Url = url;
    }

    [JsonPropertyName("id")]
    public int Id { get; }

    [JsonPropertyName("rev")]
    public int Rev { get; }

    [JsonPropertyName("fields")]
    public Fields Fields { get; }

    [JsonPropertyName("url")]
    public string Url { get; }
}